EXENAME  = mpeg_play.exe
X11DIR   = c:\Software\Exceed.nt\xdk
INCLUDES = /I$(X11DIR)\include
#	Set CFLAGS.  Below are def's for some machines.  Uncomment the
#	appropriate one or make one of your own. If you want the player
#       to gather statistics about the video stream, add -DANALYSIS to
#       CFLAGS. If you do NOT want to use shared memory, remove
#       -DSH_MEM from CFLAGS.
#       Use -DSIG_ONE_PARAM if the function passed to signal takes
#         one parameter (linux, Solaris)
#         Do not use it if it takes none (SunOS, HPUX, Ultrix, OSF1, )
#         It works either way, (i think), just gets rid of a warning.
#       Use -NDEBUG for speed, -DDEBUG for resiliance.  On invalid MPEG
#         streams a DEBUG compiled mpeg_play will exit gracefully, while
#         a NDEBUG one will dump core.  But NDEBUG is faster.
#       Use -DQUIET to have mpeg_play print little by default (useful for
#         when it is called by another program like netscape).
#       Use -DQUALITY if you want the default to play streams that conform
#         strictly to the MPEG standard but take longer to display by defualt.
#         It is also available as -quality on at runtime
#       Use -DFLOATDCT to enable using the computationally expensive but
#         accurate floating point DCT through the -quality parameter.
#       Use -DDEFAULT_ORDERED_DITHER to use ORDERED_DITHER instead of
#         ORDERED2_DITHER.  On some machines (e.g., Intel Pentiums),
#         ORDERED_DITHER is much faster than ORDERED2_DITHER.
#       Use -DNOCONTROLS to totally disable the X user interface.  See
#         also HDRS, OBJS, and SRCS below.
CFLAGS   = /nologo /W1 $(INCLUDES) /DWIN32 /DNDEBUG /DSIG_ONE_PARAM \
           /DNO_LRAND48 /DNO_RANDOM /DQUIET
LIBS     = $(X11DIR)\lib\xlibcon.lib \
           $(X11DIR)\lib\xlib.lib \
           ws2_32.lib
OBJS     = util.obj video.obj parseblock.obj motionvector.obj decoders.obj \
           fs2.obj fs2fast.obj fs4.obj hybrid.obj hybriderr.obj 2x2.obj \
		   floatdct.obj gdith.obj gray.obj mono.obj main.obj jrevdct.obj \
		   16bit.obj util32.obj ordered.obj ordered2.obj mb_ordered.obj \
		   readfile.obj ctrlbar.obj

.SILENT:

all: $(EXENAME)

clean:
    -del /F $(OBJS) $(EXENAME) 2>nul

$(EXENAME): $(OBJS)
    link /OUT:$@ /RELEASE /PDB:NONE $(OBJS) $(LIBS)
